Package de.willuhn.jameica.hbci.server.hbci.tests

# Interface Restriction

All Known Implementing Classes:
  `CanTermDelRestriction`, `PreTimeRestriction`, `TurnusRestriction`

public interface Restriction
Interface fuer alle Tests auf Restriktionen von HBCI-Jobs.

## Method Summary

Modifier and Type
Method
Description
`void`
`test()`
Fuehrt den Test aus.

## Method Details

### test

void test() throws de.willuhn.util.ApplicationException
Fuehrt den Test aus.

Throws:
  `de.willuhn.util.ApplicationException` - wird geworfen, wenn der Test fehlschlug. Die Exception muss eine fuer den Benutzer verstaendliche Fehlermeldung enthalten.